UrlMappingsHandlerMapping.ErrorHandlingHandler (Grails 6.0.0)

Package: org.grails.web.mapping.mvc

## [Groovy] Class UrlMappingsHandlerMapping.ErrorHandlingHandler

- org.grails.web.mapping.mvc.UrlMappingsHandlerMapping.ErrorHandlingHandler

- All Implemented Interfaces and Traits:
    org.springframework.web.servlet.HandlerInterceptor

      static class UrlMappingsHandlerMapping.ErrorHandlingHandler
      extends java.lang.Object
      implements org.springframework.web.servlet.HandlerInterceptor

- - ### Constructor Summary

    Constructors
    Constructor and description
    `UrlMappingsHandlerMapping.ErrorHandlingHandler ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `afterCompletion(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler, java.lang.Exception ex)`
    `` | `void` | `postHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler, org.springframework.web.servlet.ModelAndView modelAndView)`
    `` | `boolean` | `preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### UrlMappingsHandlerMapping.ErrorHandlingHandler()

  - ### Method Detail

    - #### @java.lang.Override void afterCompletion(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler, java.lang.Exception ex)

    - #### @java.lang.Override void postHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler, org.springframework.web.servlet.ModelAndView modelAndView)

    - #### @java.lang.Override boolean preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)